Endpoint API
https://10b.ro/api/v1/links
Exemplu cerere
curl --location --request GET 'https://10b.ro/api/v1/links' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameters
search
search_by
title pentru Titlu, alias pentru Alias, url pentru URL. Valoarea implicită: title.
status
0 pentru Toate, 1 pentru Activ, 2 pentru Expirat, 3 pentru Dezactivat. Valoarea implicită: 0.
space_id
domain_id
pixel_id
sort_by
id pentru Data creării, clicks pentru Clickuri, title pentru Titlu, alias pentru Alias, url pentru URL. Valoarea implicită: id.
sort
desc pentru Descrescător, asc pentru Crescător. Valoarea implicită: desc.
per_page
10, 25, 50, 100. Valoarea implicită: 10.
Endpoint API
https://10b.ro/api/v1/links/{id}
Exemplu cerere
curl --location --request GET 'https://10b.ro/api/v1/links/{id}' \ --header 'Accept: application/json' \ --header 'Authorization: Bearer {api_key}'
Endpoint API
https://10b.ro/api/v1/links
Exemplu cerere
curl --location --request POST 'https://10b.ro/api/v1/links' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}' \ --data-urlencode 'url={url}' \ --data-urlencode 'domain={id}'
Parameters
url
domain_id
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 pentru Nu, 1 pentru Da. Valoarea implicită: 0.
privacy
0 pentru Public, 1 pentru Privat, 2 pentru Parolă. Valoarea implicită: 0.
password
privacy este setat la 2.
active_period_start_at
Y-m-dTH:i:s.
active_period_end_at
Y-m-dTH:i:s.
clicks_limit
expiration_url
targets_type
continents pentru Continents, countries pentru Countries, operating_systems pentru Operating systems, browsers pentru Browsers, languages pentru Languages, devices pentru Devices, rotations pentru Rotations.
targets[index][key]
Pentru targets_type=country, valoarea trebuie să fie în format ISO 3166-1 alpha-2.
Pentru targets_type=operating_systems, valorile posibile sunt: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
Pentru targets_type=browsers, valorile posibile sunt: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
Pentru targets_type=devices, valorile posibile sunt: Desktop, Mobile, Tablet, Watch, Television.
Pentru targets_type=languages, valoarea trebuie să fie în format ISO 639-1 alpha-2.
Pentru targets_type=continents, valorile posibile sunt: AF pentru Africa, AN pentru Antarctica, AS pentru Asia, EU pentru Europe, NA pentru North America, OC pentru Oceania, SA pentru South America.
targets[index][value]
Endpoint API
https://10b.ro/api/v1/links/{id}
Exemplu cerere
curl --location --request PUT 'https://10b.ro/api/v1/links/{id}' \ --header 'Content-Type: application/x-www-form-urlencoded' \ --header 'Authorization: Bearer {api_key}'
Parameters
url
alias
space_id
pixel_ids[]
redirect_password
sensitive_content
0 pentru Nu, 1 pentru Da.
privacy
0 pentru Public, 1 pentru Privat, 2 pentru Parolă.
password
privacy este setat la 2.
active_period_start_at
Y-m-dTH:i:s.
active_period_end_at
Y-m-dTH:i:s.
clicks_limit
expiration_url
targets_type
continents pentru Continents, countries pentru Countries, operating_systems pentru Operating systems, browsers pentru Browsers, languages pentru Languages, devices pentru Devices, rotations pentru Rotations.
targets[index][key]
Pentru targets_type=country, valoarea trebuie să fie în format ISO 3166-1 alpha-2.
Pentru targets_type=operating_systems, valorile posibile sunt: iOS, Android, Windows, OS X, Linux, Ubuntu, Chrome OS.
Pentru targets_type=browsers, valorile posibile sunt: Chrome, Chromium, Firefox, Firefox Mobile, Edge, Internet Explorer, Mobile Internet Explorer, Vivaldi, Brave, Safari, Opera, Opera Mini, Opera Mobile, Opera Touch, Yandex Browser, UC Browser, Samsung Internet, QQ Browser, BlackBerry Browser, Maxtho.
Pentru targets_type=devices, valorile posibile sunt: Desktop, Mobile, Tablet, Watch, Television.
Pentru targets_type=languages, valoarea trebuie să fie în format ISO 639-1 alpha-2.
Pentru targets_type=continents, valorile posibile sunt: AF pentru Africa, AN pentru Antarctica, AS pentru Asia, EU pentru Europe, NA pentru North America, OC pentru Oceania, SA pentru South America.
targets[index][value]
Endpoint API
https://10b.ro/api/v1/links/{id}
Exemplu cerere
curl --location --request DELETE 'https://10b.ro/api/v1/links/{id}' \ --header 'Authorization: Bearer {api_key}'